
--
-- Neovim and VIM global configuration
-- and options
-- ..............................................
--
-- Author: Sven Vogel
-- Created: 01.11.2024
-- Edited: 01.11.2024
--
-- ==============================================

--
-- neovim global options
-- ..............................................

local opt = vim.opt

opt.clipboard = vim.env.SSH_TTY and "" or "unnamedplus" -- Sync with system clipboard
opt.confirm = true
opt.cursorline = true
opt.expandtab = true
opt.ignorecase = true
opt.laststatus = 3 -- global statusline
opt.mouse = "a"
opt.shiftwidth = 4
opt.tabstop = 4
opt.showmode = false
opt.termguicolors = true -- True color support
opt.virtualedit = "block" -- Allow cursor to move where there is no text in visual block mode
opt.wrap = false
opt.smoothscroll = true
opt.swapfile = false           -- disable swapfiles because they are fucking garbage
opt.smartindent = true

--
-- VIM global options
-- ..............................................

-- disable netrw
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1
vim.g.inlay_hints_visible = true

