
--
-- Mini plugin library
--
-- Source: https://github.com/lewis6991/gitsigns.nvim
-- ..............................................
--
-- Author: Sven Vogel
-- Created: 07.11.2024
-- Edited: 07.11.2024
--
-- ==============================================

return {
    {
        'echasnovski/mini.animate',
        version = false
    },
    {
        'echasnovski/mini.comment',
        version = false,
        opts = {
            mappings = {
                comment_line = '#',
                comment_visual = '#'
            }
        }
    },
    {
        'echasnovski/mini.move',
        version = false,
        opts = {
            mappings = {
                -- Move visual selection in Visual mode. Defaults are Alt (Meta) + hjkl.
                left = nil,
                right = nil,
                down = '<C-down>',
                up = '<C-up>',

                -- Move current line in Normal mode
                line_left = '<S-tab>',
                line_right = '<tab>',
                line_down = '<C-down>',
                line_up = '<C-up>',
            }
        }
    }
}
