#!/bin/bash

NEOVIM_CONFIG="$HOME/.config/nvim"

function stowit() {
    if test -d "$NEOVIM_CONFIG"; then
        stow -v -R -t "$NEOVIM_CONFIG" . || exit 1
    else 
        echo "Neovim config directory does not exist: $NEOVIM_CONFIG"
        echo "Creating config directory..."
        if ! mkdir -p "$NEOVIM_CONFIG"; then
            echo "failed to create config folder"
            exit 1
        fi
        echo "Created config folder"
        stowit
    fi
}

stowit
